librime: rime::ChordComposer Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
rime::ChordComposer Class Reference

`#include <chord_composer.h>`

Inheritance diagram for rime::ChordComposer:
[legend]
Collaboration diagram for rime::ChordComposer:
[legend]

## Public Member Functions
| ChordComposer (const Ticket &ticket)
| ~ChordComposer ()
virtual ProcessResult | ProcessKeyEvent (const KeyEvent &key_event)
Public Member Functions inherited from rime::Processor
| Processor (const Ticket &ticket)
virtual | ~Processor ()=default
string | name_space () const
Public Member Functions inherited from rime::KeyBindingProcessor< ChordComposer >
| KeyBindingProcessor (ActionDef *action_definitions)
ProcessResult | ProcessKeyEvent (const KeyEvent &key_event, Context *ctx, int keymap_selector=0, int fallback_options=FallbackOptions::None)
void | LoadConfig (Config *config, const string &section, int kemap_selector=0)

## Public Attributes
Handler | CommitRawInput

## Protected Member Functions
bool | FinishChordConditionIsMet () const
ProcessResult | ProcessChordingKey (const KeyEvent &key_event)
ProcessResult | ProcessFunctionKey (const KeyEvent &key_event)
string | SerializeChord (const Chord &chord)
void | UpdateChord (const Chord &chord)
void | FinishChord (const Chord &chord)
void | ClearChord ()
bool | DeleteLastSyllable ()
void | OnContextUpdate (Context *ctx)
void | OnUnhandledKey (Context *ctx, const KeyEvent &key)
Protected Member Functions inherited from rime::KeyBindingProcessor< ChordComposer >
Keymap & | get_keymap (int keymap_selector=0)
bool | Accept (const KeyEvent &key_event, Context *ctx, Keymap &keymap)

## Protected Attributes
KeySequence | chording_keys_
string | delimiter_
Projection | algebra_
Projection | output_format_
Projection | prompt_format_
bool | use_control_ = false
bool | use_alt_ = false
bool | use_shift_ = false
bool | use_super_ = false
bool | use_caps_ = false
bool | finish_chord_on_first_key_release_ = false
ChordingState | state_
bool | editing_chord_ = false
bool | sending_chord_ = false
bool | composing_ = false
string | raw_sequence_
connection | update_connection_
connection | unhandled_key_connection_
Protected Attributes inherited from rime::Processor
Engine * | engine_
string | name_space_

## Additional Inherited Members
Public Types inherited from rime::Class< Processor, const Ticket & >
using | Initializer
Public Types inherited from rime::KeyBindingProcessor< ChordComposer >
enum | FallbackOptions
typedef bool | Handler(Context *ctx)
using | HandlerPtr
Static Public Member Functions inherited from rime::Class< Processor, const Ticket & >
static Component * | Require (const string &name)
Static Public Attributes inherited from rime::KeyBindingProcessor< ChordComposer >
static const ActionDef | kActionNoop

## Constructor & Destructor Documentation

## ◆ ChordComposer()

rime::ChordComposer::ChordComposer | ( | const Ticket & | ticket | ) |

## ◆ ~ChordComposer()

rime::ChordComposer::~ChordComposer | ( |  | ) |

## Member Function Documentation

## ◆ ClearChord()

void rime::ChordComposer::ClearChord | ( |  | ) |
| protected

## ◆ DeleteLastSyllable()

bool rime::ChordComposer::DeleteLastSyllable | ( |  | ) |
| protected

## ◆ FinishChord()

void rime::ChordComposer::FinishChord | ( | const Chord & | chord | ) |
| protected

## ◆ FinishChordConditionIsMet()

bool rime::ChordComposer::FinishChordConditionIsMet | ( |  | ) | const
| protected

## ◆ OnContextUpdate()

void rime::ChordComposer::OnContextUpdate | ( | Context * | ctx | ) |
| protected

## ◆ OnUnhandledKey()

void rime::ChordComposer::OnUnhandledKey | ( | Context * | ctx,
|  | const KeyEvent & | key )
| protected

## ◆ ProcessChordingKey()

ProcessResult rime::ChordComposer::ProcessChordingKey | ( | const KeyEvent & | key_event | ) |
| protected

## ◆ ProcessFunctionKey()

ProcessResult rime::ChordComposer::ProcessFunctionKey | ( | const KeyEvent & | key_event | ) |
| protected

## ◆ ProcessKeyEvent()

ProcessResult rime::ChordComposer::ProcessKeyEvent | ( | const KeyEvent & | key_event | ) |
| virtual

Reimplemented from rime::Processor.

## ◆ SerializeChord()

string rime::ChordComposer::SerializeChord | ( | const Chord & | chord | ) |
| protected

## ◆ UpdateChord()

void rime::ChordComposer::UpdateChord | ( | const Chord & | chord | ) |
| protected

## Member Data Documentation

## ◆ algebra_

Projection rime::ChordComposer::algebra_
| protected

## ◆ chording_keys_

KeySequence rime::ChordComposer::chording_keys_
| protected

## ◆ CommitRawInput

bool rime::ChordComposer::CommitRawInput

## ◆ composing_

bool rime::ChordComposer::composing_ = false
| protected

## ◆ delimiter_

string rime::ChordComposer::delimiter_
| protected

## ◆ editing_chord_

bool rime::ChordComposer::editing_chord_ = false
| protected

## ◆ finish_chord_on_first_key_release_

bool rime::ChordComposer::finish_chord_on_first_key_release_ = false
| protected

## ◆ output_format_

Projection rime::ChordComposer::output_format_
| protected

## ◆ prompt_format_

Projection rime::ChordComposer::prompt_format_
| protected

## ◆ raw_sequence_

string rime::ChordComposer::raw_sequence_
| protected

## ◆ sending_chord_

bool rime::ChordComposer::sending_chord_ = false
| protected

## ◆ state_

ChordingState rime::ChordComposer::state_
| protected

## ◆ unhandled_key_connection_

connection rime::ChordComposer::unhandled_key_connection_
| protected

## ◆ update_connection_

connection rime::ChordComposer::update_connection_
| protected

## ◆ use_alt_

bool rime::ChordComposer::use_alt_ = false
| protected

## ◆ use_caps_

bool rime::ChordComposer::use_caps_ = false
| protected

## ◆ use_control_

bool rime::ChordComposer::use_control_ = false
| protected

## ◆ use_shift_

bool rime::ChordComposer::use_shift_ = false
| protected

## ◆ use_super_

bool rime::ChordComposer::use_super_ = false
| protected

The documentation for this class was generated from the following files:

- chord_composer.h
- chord_composer.cc